package com.company.jmix_unfetch.entity;

import io.jmix.core.entity.annotation.JmixGeneratedValue;
import io.jmix.core.metamodel.annotation.JmixEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import javax.persistence.*;
import java.util.Objects;
import java.util.UUID;

@JmixEntity
@Table(name = "LAST_ENTITY", indexes = {
        @Index(name = "IDX_LAST_ENTITY_INFO_ENTITY", columnList = "INFO_ENTITY_ID")
})
@Entity
public class LastEntity extends BaseUuidEntity  {

    @JoinColumn(name = "INFO_ENTITY_ID")
    @OneToOne(fetch = FetchType.LAZY)
    private InfoEntity infoEntity;

    public InfoEntity getInfoEntity() {
        return infoEntity;
    }

    public void setInfoEntity(InfoEntity infoEntity) {
        this.infoEntity = infoEntity;
    }
}