package com.company.jmix_unfetch.entity;

import io.jmix.core.entity.annotation.EmbeddedParameters;
import io.jmix.core.metamodel.annotation.JmixEntity;

import javax.persistence.*;

@JmixEntity
@Table(name = "MY_ENTITY")
@Entity(name = "my_entity")
public class MyEntity extends StandardEntity {

    private static final long serialVersionUID = -7721102552323774030L;


    @EmbeddedParameters(nullAllowed = false)
    @Embedded
    @AssociationOverrides({
            @AssociationOverride(name = "lastentity", joinColumns = @JoinColumn(name = "META_ENTITY_LASTENTITY_ID"))
    })
    private MetaEntity metaEntity;

    public MetaEntity getMetaEntity() {
        return metaEntity;
    }

    public void setMetaEntity(MetaEntity metaEntity) {
        this.metaEntity = metaEntity;
    }
}